Thursday, 2 August 2012

Metasploit on Raspbian Raspberry Pi

So here is how I got metasploit running on the latest ( 2012-07-15-wheezy-raspbian) on my raspberry pi.

open a terminal and do:

sudo -s

apt-get install build-essential subversion ruby libruby irb rdoc libyaml-ruby libzlib-ruby libopenssl-ruby libdl-ruby libreadline-ruby libiconv-ruby rubygems sqlite3 libsqlite3-ruby libsqlite3-dev ruby1.9.1-dev libpcap-dev

svn co metasploit
cd metasploit

svn up

cd external/pcaprub
sudo ruby extconf.rb && make && make install


No comments: